aboutsummaryrefslogtreecommitdiff
path: root/games/xfishtank
diff options
context:
space:
mode:
authorDeposite Pirate2018-09-16 18:48:36 +0200
committerDeposite Pirate2018-09-16 18:48:36 +0200
commitd150a5f3e462fa7fe194a805a4aa0076f4d03ab9 (patch)
treece5e44d69c5f3175bfdbd1e3717b52c5dcca5638 /games/xfishtank
parentf29d3519ce073ec30f99754d93304324f7f26d65 (diff)
Add ports.
Diffstat (limited to 'games/xfishtank')
-rw-r--r--games/xfishtank/xfishtank-2.2-debian23.patch.bz2bin0 -> 8404 bytes
-rw-r--r--games/xfishtank/xfishtank-2.2-imake.patch.bz2bin0 -> 287 bytes
-rwxr-xr-xgames/xfishtank/xfishtank.SlackBuild85
3 files changed, 85 insertions, 0 deletions
diff --git a/games/xfishtank/xfishtank-2.2-debian23.patch.bz2 b/games/xfishtank/xfishtank-2.2-debian23.patch.bz2
new file mode 100644
index 0000000..c30f4a4
--- /dev/null
+++ b/games/xfishtank/xfishtank-2.2-debian23.patch.bz2
Binary files differ
diff --git a/games/xfishtank/xfishtank-2.2-imake.patch.bz2 b/games/xfishtank/xfishtank-2.2-imake.patch.bz2
new file mode 100644
index 0000000..0c20944
--- /dev/null
+++ b/games/xfishtank/xfishtank-2.2-imake.patch.bz2
Binary files differ
diff --git a/games/xfishtank/xfishtank.SlackBuild b/games/xfishtank/xfishtank.SlackBuild
new file mode 100755
index 0000000..003e56f
--- /dev/null
+++ b/games/xfishtank/xfishtank.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=xfishtank
+VERSION=2.2
+ARCH=i586
+BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER.orig
+ARCHIVE=$PKGNAME-$PKGVER.tar.gz
+REPOSITORY=ftp://ftp.uni-koeln.de/windows/xcontrib
+FLAGS="-O2 -march=pentium -mcpu=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-debian23.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-imake.patch.bz2 | patch -p1 -s
+xmkmf -a
+make OPT="$FLAGS"
+
+# Install
+make install DESTDIR=$PKG
+mkdir -p $PKG/install $PKG/usr/doc/$NAME-$VERSION $PKG/usr/X11R6/man/man6 \
+ $PKG/usr/X11R6/bin
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+xfishtank: xfishtank
+xfishtank:
+xfishtank: Xfishtank displays a virtual aquarium on your X root window. There
+xfishtank: are many sorts of fish swimming happily among bubbles. A great way to
+xfishtank: relax while you are messing with your computer. Furthermore the fish
+xfishtank: require very little maintenance and feeding.
+xfishtank:
+xfishtank:
+xfishtank:
+xfishtank:
+xfishtank:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+x11 >= 6.8.1-486-1
+EOF
+
+install -m644 -g0 -o0 README README.Linux README.TrueColor \
+ $PKG/usr/doc/$NAME-$VERSION
+
+install -m444 -g0 -o0 xfishtank.1x $PKG/usr/X11R6/man/man6/xfishtank.6x
+
+install -m755 -g0 -o0 xfishtank $PKG/usr/X11R6/bin
+
+gzip -9nf $PKG/usr/X11R6/man/man?/*.?x
+
+strip $PKG/usr/X11R6/bin/* || :
+
+chown -R root.root $PKG
+chgrp bin $PKG/usr/X11R6/bin $PKG/usr/X11R6/bin/*
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz